## Functions to access the function call stack.

## Usage

    sys.call(which=<<see below>>)
    sys.frame(which=<<see below>>)
    sys.nframe()
    sys.function(n=<<see below>>)
    sys.parent(n=1)

    sys.calls()
    sys.frames()
    sys.parents()
    sys.on.exit()
    sys.status()

## Arguments

`which` | the frame number.
`n` | the number of frame generations to go back.

## Description

These functions provide access to `environment`s (``frames'' in S-speak) associated with functions further up the calling stack.

## See Also

`eval` for the usage of `sys.frame`.

## Examples

    ff <- function(x) gg(x)
    gg <- function(y) sys.status()
    str(ff(1))

[Package Contents]